#include "stdafx.h"
#include "log.h"

#include <log4cxx/PatternLayout.h>
#include <log4cxx/FileAppender.h>

namespace log
{

    log4cxx::LoggerPtr pMainLog;

    void initialize(const std::string &fileName)
    {
        using namespace log4cxx;

        BasicConfigurator::configure();
        pMainLog =  Logger::getLogger("excell");

        pMainLog->removeAllAppenders();
        pMainLog->addAppender(new FileAppender(
            new PatternLayout("%d{%H:%M:%S}  - %m%n"),
            fileName,
            true /*append*/));

    }
}

